Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000642Core InformUnderstandingpublic2011-04-11 18:452014-05-07 07:33
ReporterGenstein 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version6L02 
Summary0000642: if '"[<object>]" matches the topic understood' changes 'the noun'
DescriptionMatching any topic which is parsed as an object causes I7 to change "the noun" to the object in question. Whilst it is very useful to be able to match objects as topics, and to tell which object has been matched by a topic, this is perhaps a confusing approach. In particular it has knock on effects for rulebook processing which are perhaps unintuitive.
Minimal Source Text To Reproduce
Cave is a room. Bob is a man in Cave. A spoon is in Cave.
Instead of asking Bob about "[spoon]", say "'Not sure,' says [the noun]."
Additional InformationAs discussed on int-fiction.org:

http://www.intfiction.org/forum/viewtopic.php?f=7&t=2280 [^]

And on uservoice:

http://inform7.uservoice.com/forums/57320-general/suggestions/1673835-thoroughly-document-topics-or-make-them-far-more- [^]

One workaround is the following:

Cave is a room. Bob is a man in Cave. A spoon is in Cave.

To decide whether the subject is (x - a topic):
   let the former-noun be the noun;
   if the topic understood matches x:
      now the noun is the former-noun;
      decide yes;
   otherwise:
      now the noun is the former-noun;
      decide no.

Instead of asking Bob about when the subject is "[spoon]", say "'Not sure,' says [the noun]."
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
has duplicate 0000959closed Rules machinery discards correctly matched tokens in event of conflict 

-  Notes
(0001739)
EmacsUser (manager)
2012-08-01 18:21

A fix is proposed in 0000959:0001736.
(0002511)
graham (administrator)
2014-02-15 16:16

Fixed, along the lines suggested in 0000959.

- Issue History
Date Modified Username Field Change
2011-04-11 18:45 Genstein New Issue
2011-04-23 20:28 jmcgrew Status new => acknowledged
2011-04-25 15:36 EmacsUser Status acknowledged => confirmed
2012-08-01 18:19 EmacsUser Relationship added has duplicate 0000959
2012-08-01 18:21 EmacsUser Note Added: 0001739
2014-02-15 16:16 graham Note Added: 0002511
2014-02-15 16:16 graham Status confirmed => resolved
2014-02-15 16:16 graham Resolution open => fixed
2014-02-15 16:16 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker